#!/bin/sh
echo 'name: cryptohash
version: 0.8.3
id: cryptohash-0.8.3-44081864b73c0873c24a7b84ff57e658

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cryptohash
package-url:
synopsis: collection of crypto hashes, fast, pure and practical
description: A collection of crypto hashes, with a practical incremental and one-pass, pure APIs,
             with performance close to the fastest implementations available in others languages.
             .
             The implementations are made in C with a haskell FFI wrapper that hide the C implementation.
             .
             Simple examples using the unified API:
             .
             > import Crypto.Hash
             >
             > sha1 :: ByteString -> Digest SHA1
             > sha1 = hash
             >
             > hexSha3_512 :: ByteString -> String
             > hexSha3_512 bs = show (hash bs :: Digest SHA3_512)
             .
             Simple examples using the module API:
             .
             > import qualified Crypto.Hash.SHA1 as SHA1
             >
             > main = putStrLn $ show $ SHA1.hash (Data.ByteString.pack [1..256])
             .
             > import qualified Crypto.Hash.SHA3 as SHA3
             >
             > main = putStrLn $ show $ digest
             >   where digest = SHA3.finalize ctx
             >         ctx    = foldl'\'' SHA3.update iCtx (map Data.ByteString.pack [ [1,2,3], [4,5,6] ]
             >         iCtx   = SHA3.init 224
category: Data, Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Hash Crypto.Hash.Types Crypto.Hash.SHA1
                 Crypto.Hash.SHA224 Crypto.Hash.SHA256 Crypto.Hash.SHA384
                 Crypto.Hash.SHA512 Crypto.Hash.SHA512t Crypto.Hash.SHA3
                 Crypto.Hash.MD2 Crypto.Hash.MD4 Crypto.Hash.MD5
                 Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256 Crypto.Hash.Skein512
                 Crypto.Hash.Tiger Crypto.Hash.Whirlpool Crypto.MAC.HMAC
hidden-modules: Crypto.Hash.Utils Crypto.Hash.Utils.Cpu
                Crypto.Hash.Internal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/cryptohash-0.8.3
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/cryptohash-0.8.3
              /usr/local/lib
hs-libraries: HScryptohash-0.8.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         cereal-0.3.5.2-4a36143bb9e4836e68fcbca872fdfe0f
         crypto-api-0.11-16a99fc611b7503a917d073e4ca16524
         ghc-prim-0.2.0.0-23f345e1ec26a64d5ebc768bd0b2a5d9
         tagged-0.4.4-55c603ce43bd5a4d0399cb94469b9536
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/cryptohash-0.8.3/html/cryptohash.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/cryptohash-0.8.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
